Name:		quiterss
Version:	0.18.9
Release:	1%{?dist}
License:	GPLv3
Summary:	RSS/Atom aggregator
Source0:	https://github.com/QuiteRSS/quiterss/archive/%{name}-%{version}.tar.gz
URL:		http://quiterss.org/
# BuildRequires:	pkgconfig(QtGui), pkgconfig(QtNetwork), pkgconfig(QtXml), pkgconfig(QtSql)
BuildRequires:  qtsingleapplication-devel
# qtwebkit-devel
BuildRequires:  pkgconfig(QtWebKit)
# sqlite-devel
BuildRequires:  pkgconfig(sqlite3)
# phonon-devel
BuildRequires:  pkgconfig(phonon)
BuildRequires:	desktop-file-utils

%description
Qt-based RSS/Atom aggregator.

%prep
%setup -q
# be asure
rm -rf 3rdparty/{qtsingleapplication,sqlite}

%build
%{qmake_qt4} PREFIX=%{_prefix} SYSTEMQTSA=True
make release %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name} --with-qt --without-mo

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS CHANGELOG README.md
%license COPYING
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/sound/
%{_datadir}/%{name}/style/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Wed Jan 24 2018 TI_Eugene <ti.eugene@gmail.com> - 0.18.9-1
- Version bump

* Fri Aug 25 2017 TI_Eugene <ti.eugene@gmail.com> - 0.18.8-1
- Version bump

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Mar 10 2016 TI_Eugene <ti.eugene@gmail.com> - 0.18.4-1
- Version bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Feb 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.18.2-2
- use %%qmake_qt4 macro to ensure proper build flags

* Tue Oct 06 2015 TI_Eugene <ti.eugene@gmail.com> - 0.18.2-1
- Version bump
- all patches removed

* Tue Jun 30 2015 TI_Eugene <ti.eugene@gmail.com> - 0.17.7-1
- Version bump
- some spec fixes

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.17.6-2
- Rebuilt for GCC 5 C++11 ABI change

* Sun Mar 15 2015 TI_Eugene <ti.eugene@gmail.com> - 0.17.6-1
- Version bump

* Mon Jan 19 2015 TI_Eugene <ti.eugene@gmail.com> - 0.17.4-1
- Version bump

* Tue Nov 18 2014 TI_Eugene <ti.eugene@gmail.com> - 0.17.1-1
- Version bump

* Tue Sep 23 2014 TI_Eugene <ti.eugene@gmail.com> - 0.17.0-1
- Version bump

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 21 2014 TI_Eugene <ti.eugene@gmail.com> - 0.16.1-1
- Version bump

* Fri Jun 13 2014 TI_Eugene <ti.eugene@gmail.com> - 0.16.0-1
- Version bump

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 19 2014 TI_Eugene <ti.eugene@gmail.com> - 0.15.4-1
- Version bump

* Thu Mar 20 2014 TI_Eugene <ti.eugene@gmail.com> - 0.15.2-1
- Version bump

* Fri Jan 31 2014 TI_Eugene <ti.eugene@gmail.com> - 0.14.3-1
- Version bump

* Fri Jan 03 2014 TI_Eugene <ti.eugene@gmail.com> - 0.14.2-1
- Version bump

* Sun Dec 08 2013 TI_Eugene <ti.eugene@gmail.com> - 0.14.1-1
- Version bump
- phonon-devel BR added

* Sat Nov 16 2013 TI_Eugene <ti.eugene@gmail.com> - 0.14.0-1
- Version bump

* Sat Aug 31 2013 TI_Eugene <ti.eugene@gmail.com> - 0.13.3-1
- Version bump

* Wed Jul 31 2013 TI_Eugene <ti.eugene@gmail.com> - 0.13.2-1
- Version bump

* Mon Jul 01 2013 TI_Eugene <ti.eugene@gmail.com> - 0.13.1-1
- Version bump

* Sat Jun 01 2013 TI_Eugene <ti.eugene@gmail.com> - 0.13.0-1
- Version bump

* Tue May 07 2013 TI_Eugene <ti.eugene@gmail.com> - 0.12.5-3
- icon scriptlet update

* Sun May 05 2013 TI_Eugene <ti.eugene@gmail.com> - 0.12.5-2
- qmake-qt4 used directly
-_smp_flags added to make

* Sat Apr 27 2013 TI_Eugene <ti.eugene@gmail.com> - 0.12.5-1
- initial packaging for Fedora
